
QGIS Application - Bug report #10756

Minidump on closing QGIS 2.4

2014-06-30 05:58 AM - Micha Silver

Status: Closed

Priority: High

Assignee:

Category: Build/Install

Affected QGIS version:2.4.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: worksforme

Crashes QGIS or corrupts data:Yes Copied to github as #: 19139

Description

Using Win7 64bit, and the OSGeo4W64 installer, at every shutdown of QGIS a minidump file is written. This happens regardless of what

layers are loaded, and regardless of whether the project is saved or not.

I have done a total reinstall (after cleaning registry, .qgis2, etc) of the OSGeo4W 64bit installer.

I also tried qgis --noplugins. Same behavior.

Thanks,

Micha

History

#1 - 2014-06-30 03:25 PM - Giovanni Manghi

- Crashes QGIS or corrupts data changed from No to Yes

- Priority changed from Normal to High

#2 - 2014-07-02 10:26 PM - Miroslav Umlauf

Same here, affected both 2.4 and 2.5 Master. All it takes is open and close QGIS and it come up with crash. Both through closing window and through

Project menu/Exit.

#3 - 2014-07-02 11:41 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please try removing/disabling all installed pluguins, restart QGIS and try again.

#4 - 2014-07-03 03:36 AM - Micha Silver

I tried with all plugins disabled (I did not try to uninstall them), and the problem still recurs. Open QGIS 2.4, 64bit on Win 7 Pro, add a shapefile, close, click

discard, and it creates a minidump.

#5 - 2014-07-03 03:42 AM - Giovanni Manghi

Micha Silver wrote:

I tried with all plugins disabled (I did not try to uninstall them), and the problem still recurs. Open QGIS 2.4, 64bit on Win 7 Pro, add a shapefile,

close, click discard, and it creates a minidump.
ok, but of course this seems a local issue, as it does not happen in other installations (I just gave a training course with 15 trainees and no such issue). So

I'm just trying to find what can be the cause in your cases. Obviously trying on another machine and/or purging .qgis2 would help the troubleshooting.

#6 - 2014-07-03 04:13 AM - Micha Silver

I found this on two machines (both Win7 Pro 64) and note that Miroslav, above, also reports the same issue. Any ideas what else to look into?

#7 - 2014-07-03 06:52 AM - Diogo Vasconcelos

Same here. Win7 64 bit & QGIS 2.4

#8 - 2014-07-05 10:48 PM - Micha Silver

- Resolution set to up/downstream

I'm pretty sure I found the problem: It's the LecoS plugin. And it seems that it's not enough to disable the plugin, it must be uninstalled.

I did a clean install on another Win7 Pro machine, and then started adding plugins one by one, and closing QGIS each time. When I got to the LecoS plugin

the problem reappeared. I went back to the first machine, removed the plugin, and the prob went away.

I'll mark this issue "UP/Downstream". 

I've reported the issue on the LecoS issue tracker page.#10823

Regards,

Micha

#9 - 2014-07-07 09:17 AM - Giovanni Manghi

- Status changed from Feedback to Closed

#10 - 2014-09-09 02:01 PM - Paulo Cardoso

- File qgis-20140909-214202-3324-4652-8fdd08a.7z added

Closed?

The same error here. LecoS plugin is not installed. Procedure: Open QGIS, disable all plugins. Close QGIS. Get Minidump crash.

Windows 7 x64 Ultimate

Service pack 1

QGIS 2.4

#11 - 2014-09-10 12:57 AM - Miroslav Umlauf

In my case it was some different plugin, unfortunately I am not able to track which one - I had too many of them and don't remember all of them. Anyway

uninstalling plugins helped.

#12 - 2014-10-18 03:49 AM - leolami -

I confirm the problem in several Windows pc with different Windows versions.
In several cases the crash occurred when saving project and the project file was corrupt and no longer usable.

Regards

Leonardo Lami

#13 - 2014-10-19 09:18 AM - Giovanni Manghi

leolami - wrote:

I confirm the problem in several Windows pc with different Windows versions.

In several cases the crash occurred when saving project and the project file was corrupt and no longer usable.

Regards

Leonardo Lami

try deleting the .qgis2 folder, I have seen this a lot and doing it usually solves. If you have important configurations you may want to backup first that folder.

#14 - 2014-10-24 11:56 PM - leolami -

I noticed this bug in a course with 10 pcs in qgis which had been installed for the first time.

So I think that there are problems related to the .qgis2 folder.

Can I make some test to reproduce or log the crasch?

#15 - 2014-10-25 12:26 AM - Giovanni Manghi

leolami - wrote:

I noticed this bug in a course with 10 pcs in qgis which had been installed for the first time.

So I think that there are problems related to the .qgis2 folder.

Can I make some test to reproduce or log the crasch?

so do you confirm that deleting the .qgis2 folder solved?

#16 - 2015-11-03 08:08 AM - Bas wein

Micha Silver wrote:

I'm pretty sure I found the problem: It's the LecoS plugin. And it seems that it's not enough to disable the plugin, it must be uninstalled.

I did a clean install on another Win7 Pro machine, and then started adding plugins one by one, and closing QGIS each time. When I got to the LecoS

plugin the problem reappeared. I went back to the first machine, removed the plugin, and the prob went away.

I'll mark this issue "UP/Downstream". 
I've reported the issue on the LecoS issue tracker page.#10823

Uninstalling the LecoS plugin worked for me. I uninstalled the plugin and closed QGIS- It gave me a minidump. Restarted QGIS and did some edits,

saved, closed program- no minidump. 

-Bas

#17 - 2015-12-17 03:01 PM - mr warw

- Status changed from Closed to Reopened

RE: LecoS - Landscape Ecology Statistics removal fixing program crashing on exit.

I have never used LecoS Plugin and it does not appear to be installed on my system. Yet every version of QGIS has crashed and does a minidmp

whenever and however I leave the program. Other than crashing when exiting with all installations of QGIS 2.8 thru 2.12  the program has worked fine.

Attached latest .dmp

#18 - 2015-12-28 10:37 AM - Leonard Kong

Hi:

I'm working on a plugin and am experiencing the exact same issue.  I have traced it down to a gdal call in the my python code to:

    ds.GetRasterBand(1).ReadAsArray(xOffset, yOffset, 1, 1)

When the python code is running, it returns the correct value and I can even take the values and create a csv output file.  If I then exit QGIS, I get the mini

dump crash.  My code opens a line shapefile and extracts the elevations from the start and end points of each line in the shape file.  I have tested it down to

the point where the shapefile isn't even used, if I just call the ReadAsArray() function once, with coordinates in the raster, then close QGIS, I get the mini

crash dump.  I've looked, there are not warnings or errors thrown during execution.  This is a blocking bug that has caused me to cease development.

#19 - 2015-12-29 12:33 AM - Giovanni Manghi

Leonard Kong wrote:

Hi:

I'm working on a plugin and am experiencing the exact same issue.  I have traced it down to a gdal call in the my python code to:

ds.GetRasterBand(1).ReadAsArray(xOffset, yOffset, 1, 1)

When the python code is running, it returns the correct value and I can even take the values and create a csv output file.  If I then exit QGIS, I get the

mini dump crash.  My code opens a line shapefile and extracts the elevations from the start and end points of each line in the shape file.  I have

tested it down to the point where the shapefile isn't even used, if I just call the ReadAsArray() function once, with coordinates in the raster, then close

QGIS, I get the mini crash dump.

Hi Leonard, is this the same as #13061 ?

This is a blocking bug that has caused me to cease development.

please raise this issue on the developers mailing list.

#20 - 2015-12-29 12:34 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

- Resolution deleted (up/downstream)
#21 - 2016-03-11 06:43 AM - magerlin -

I am experiencing the same issue with the newly installed version 2.14.

If I just open it and closes it again without doing anything at all it get a dump file.

#22 - 2016-03-12 01:14 AM - Anita Graser

Can't reproduce on Win8 64 bit with nightly from OSGeo4W

#23 - 2016-05-23 07:21 AM - Giovanni Manghi

- Resolution set to worksforme

- Status changed from Feedback to Closed

Anita Graser wrote:

Can't reproduce on Win8 64 bit with nightly from OSGeo4W

I see this issue from time to time and this usually has two causes:

    -  a 3rd party plugin that cause to crash, sometimes even if not activated, this is the case for exemple of Lecos and Garmin Custom Map

    -  a .qgis2 folder containing for some reason obsolete/corrupted configurations

removing the offending plugin and/or the .qgis2 folder it usually solves the issue.

Please reopen if anyone will find a different, replicable cause for this crashes on exit.

#24 - 2016-08-01 10:40 AM - tracy love

i realize this is a closed ticket but i am new here so i am hesitant to open a new ticket or feature request.

i have had this issue for almost a year and on multiple machines, win7 and win10. i always used OSGEO4w and cleaning out .qgis, registry, all other

installed parts, did nothing, as soon as i reinstalled it was back. i tried everything i could find online googleing "qgis minidump exit" recently i accidentally

discovered that the contents of this file

C:\\OSGeo4W\\bin\\qt.conf

did not match the exact case of what was on the filesystem. 

my osgeo install is at C:\\OSGeo4W. and the file qt.conf contained; 

[paths]

prefix=c:/osgeo4w/apps/qt4

binaries=c:/osgeo4w/bin

libraries=c:/osgeo4w/lib

translations=c:/osgeo4w/apps/qt4/translations

headers=c:/osgeo4w/include/qt4

when i rewrote the lines to 
[Paths]

Prefix=C:/OSGeo4W/apps/qt4

Binaries=C:/OSGeo4W/bin

Libraries=C:/OSGeo4W/lib

Translations=C:/OSGeo4W/apps/qt4/translations

Headers=C:/OSGeo4W/include/qt4

the minidumping crashing went away

Files

qgis-20140909-214202-3324-4652-8fdd08a.7z 2.35 MB 2014-09-09 Paulo Cardoso
